Subject: [PATCH 5/8] MXS: Add USB PHY driver

From: [email-masked] (Marek Vasut)
Date: Wed, 16 May 2012 15:36:23 +0200

Dear Richard Zhao,

> > > Thanks for the review, now how should we put these codes of ours
> > > together? Will you integrate my code into yours or shall I do it the
> > > other way around?
> > 
> > either way works for me. but I hope it support imx6 and use DT bindings
> > and other things maybe in next branch.
> 
> Since, anyway we have to use DT, do you mind if I pick your patch and
> add mx28 DT too, and send you for further tuning?

I don't mind at all, go ahead. Thanks for that :)

> Thanks
> Richard
> 
> > > Alas, I'd prefer for the PHY to stay separate in drivers/usb/otg,
> > 
> > I explained it above.
> > 
> > > maybe we can
> > > also recycle some my mxs binding code for ci13xxx in some way or
> > > another, as it has MXS specific hacks in it.
> > 
> > what hack do you mean?
> > 
> > > I think the ci13xxx binding for the rest of i.MX
> > > (aka mxc) will looks different, won't it? But either way, my
> > > mxs/ci13xxx binding glue will have to wait until we finish negotiating
> > > the phy_notify stuff with Greg.
> > 
> > Sure. At the same time, we may create new version patch and see response.
> > 
> > Thanks
> > Richard
> > 
> > > > Thanks
> > > > Richard
> > > > 
> > > > > +module_exit(mxs_phy_exit);
> > > > > +
> > > > > +MODULE_ALIAS("platform:mxs-usb-phy");
> > > > > +MODULE_AUTHOR("Marek Vasut <[email-masked]>");
> > > > > +MODULE_DESCRIPTION("Freescale i.MX28 USB PHY driver");
> > > > > +MODULE_LICENSE("GPL");
> > 
> > --
> > To unsubscribe from this list: send the line "unsubscribe linux-usb" in
> > the body of a message to majordomo at vger.kernel.org
> > More majordomo info at  http://vger.kernel.org/majordomo-info.html

Best regards,
Marek Vasut